Mailinglist Archive: opensuse (2348 mails)

< Previous Next >
Re: [opensuse] Zypper Dup Failed : unpacking of archive failed: cpio: Bad magic
  • From: "Carlos E. R." <robin.listas@xxxxxxxxxxxxxx>
  • Date: Thu, 3 Apr 2008 13:14:50 +0200 (CEST)
  • Message-id: <alpine.LSU.1.00.0804031312090.2816@xxxxxxxxxxxxxxxx>
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1



The Thursday 2008-04-03 at 12:38 +0200, Dominique Leuenberger wrote:

On Thu, Apr 3, 2008 at 3:40 PM, Dave Plater <> wrote:
vavai # zypper in rpm
Reading installed packages...

The following package is going to be upgraded:
rpm


The following NEW package is going to be installed:
perl-base


The following package is going to be REMOVED:
rpm


Overall download size: 2.6 M. After the operation, additional 729.0 K
will be used.
Continue? [YES/no]: y

I'm really wondering what sane user would ever say YES to THIS question... Is like if the sustem aks you for permission to selfdestruct... as it's a question, let's reply with YES?? Sorry.. I would say you had rather some luck that perl-base failed in first instance... otherwise you'd probably have ended up with a system without rpm installed on it... tough luck to install anything else.. even using zypper, as zypper just relies on rpm in the background.

Why? It is going to remove rpm and install rpm, ie, it is going to upgrade rpm. That's correct. The problem is that it wants to install perl before.

What you can try is to download rpm from the factory repository manually and
install it using rpm -Fhv rpm-4*.rpm

Probably the easiest way.

- -- Cheers,
Carlos E. R.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.4-svn0 (GNU/Linux)

iD8DBQFH9Lw0tTMYHG2NR9URAom7AJ9aAJrbnLA8lUri/NOOaxZwv+NBOgCdEqvU
VbD++qTj3Ad70e2+FuxVtTw=
=p02I
-----END PGP SIGNATURE-----
--
To unsubscribe, e-mail: opensuse+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse+help@xxxxxxxxxxxx

< Previous Next >